Create a notification

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/notifications

Create a notification. Send the fields of the new row in JSON. You must be an administrator.

application/json

Body Required

  • person_id string(uuid) Required
  • type string Required

    Values are comment, mention, assignation, reply, reply-mention, or playlist-ready.

  • author_id string(uuid) Required
  • comment_id string(uuid)
  • task_id string(uuid)
  • playlist_id string(uuid)
  • reply_id string(uuid)
  • change boolean
  • read boolean

    Default value is false.

Responses

  • 201 application/json

    The new notification

    Hide response attributes Show response attributes object
    • id string(uuid)
    • person_id string(uuid)
    • comment_id string(uuid)
    • type string

      Values are comment, mention, assignation, reply, reply-mention, or playlist-ready.

    • author_id string(uuid)
    • task_id string(uuid)
    • playlist_id string(uuid)
    • reply_id string(uuid)
    • change boolean
    • read boolean
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, or a field breaks a database constraint

  • 403

    You are not an administrator

POST /data/notifications
curl -X POST "http://api.example.com/data/notifications/" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "comment_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "read": false
}'
import requests

url = "http://api.example.com/data/notifications/"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "comment_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "read": false
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "person_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "type": "comment",
  "author_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "comment_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "task_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "playlist_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "reply_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "change": false,
  "read": false
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "comment_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "type": "comment",
  "author_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "task_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "playlist_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "reply_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "change": false,
  "read": false,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}